Jump to content

Emby next gen


quickmic

Recommended Posts

tube82

Feedback on TV show / episodes artwork mapping in 6.1.1: Everything appears to be working correctly 🥳

Episode widgets in Poster and Landscape aspect ratio:

IMG_20211006_234418.jpg.be6279331fe249c6c737c212cb177948.jpg

TV show landscape wall:

IMG_20211006_234510.jpg.35b5e3d1dfbfef29e6a1a0e207d2dd1e.jpg

Episode thumbs, tv show backdrop and clearart:

IMG_20211006_234535.jpg.4e2e768c572229af1d8018f7119d988e.jpg

 

Also tried season posters and tv show banners. Only tested in Arctic Horizon skin, though.

Edited by tube82
  • Thanks 1
Link to comment
Share on other sites

NNate

That update helped immensely.

I'm still not getting the season artwork, but the episode artwork is definitely working as it was before now.

  • Like 1
Link to comment
Share on other sites

knewknow

I’m definitely having a strange issue with 6.1.2 on my new Apple TV 4K install.

From a fresh installation, 6.1.2 would not work. There was an error shown and Emby-NG wouldn’t load. I was able to get to the settings menu though, but just clicking on the main icon to show the libraries would cause Emby-NG to hang (spinning wheel).

I then installed the latest stable version 5.x.x and everything installed and worked as usual. I then attempted to install 6.1.2 again so I could capture some logs, but this time it worked, and asked if I wanted to clear out my library. I expected that possibly a dependency didn’t load properly on the fresh 6.1.2.

Weird thing though, it didn’t start the scan after library reset. 6.1.2 was asking for credentials etc. and native/addon, but the libraries wouldn’t scan.

The way that I got it to work was to remove 6.1.2, reinstall 5.x.x and put in all of my credentials but when it asked to sync the library I declined. Instead I installed 6.1.2 on top and it finally started to scan properly.

I realize that this is all sorts of confusing, and @quickmicit might not give you enough information to troubleshoot anything, but I’m not sure if this is a specific problem with the Apple TV or something else…

Link to comment
Share on other sites

knewknow

Quick update here. Looks like it’s no longer staying in sync until I close/re-open Kodi. I tested by setting something to watched on the Emby server, then waiting around to see if it would change in Kodi. I then quit and re-opened Kodi, and the watched status was changed, but any subsequent changes were no longer syncing.

Guess I’m going back to 5.x.x for the time being.

A lot of the artwork was also not syncing at all.

Here’s a log file if it helps…
https://paste.kodi.tv/urofuqoyet

Edited by knewknow
Link to comment
Share on other sites

quickmic
6 hours ago, knewknow said:

Quick update here. Looks like it’s no longer staying in sync until I close/re-open Kodi. I tested by setting something to watched on the Emby server, then waiting around to see if it would change in Kodi. I then quit and re-opened Kodi, and the watched status was changed, but any subsequent changes were no longer syncing.

Guess I’m going back to 5.x.x for the time being.

A lot of the artwork was also not syncing at all.

Here’s a log file if it helps…
https://paste.kodi.tv/urofuqoyet

There is a problem with xml files. Must be specific to Apple TV, I try to fix it but I have no way to test it.

Link to comment
Share on other sites

knewknow
30 minutes ago, quickmic said:

There is a problem with xml files. Must be specific to Apple TV, I try to fix it but I have no way to test it.

Interesting. I can definitely test as needed @quickmic. The Apple TV is a beast at rescanning the library (5 mins vs 20 on my Shield).

Link to comment
Share on other sites

quickmic
Posted (edited)

I exactly know were the problem is, but not why. Code checks if this file exists

/private/var/mobile/Containers/Data/Application/F69B6B81-4BF7-465D-8129-C72781DE8401/Library/Caches/Kodi/userdata/library/video/emby_Favorite_movies.xml

Code returns yes (exists) but when code starts file-io if crashed cause it's actually not existing.

Edited by quickmic
Link to comment
Share on other sites

quickmic
21 minutes ago, knewknow said:

@quickmicdoes the same XML problem occur in 5.x.x? (I can provide my log if you need)

I've send you a test version...

Link to comment
Share on other sites

effe.rnr

Hi,

I can't connect to the server since latest update (6.x). Emby connect says wrong credentials and manual login says "connect to ip.." but nothing happens. Database reset doesn't help. Hardware is Shield with Kodi 19.2

Can anyone help?

thanks!

Link to comment
Share on other sites

quickmic
9 hours ago, effe.rnr said:

Hi,

I can't connect to the server since latest update (6.x). Emby connect says wrong credentials and manual login says "connect to ip.." but nothing happens. Database reset doesn't help. Hardware is Shield with Kodi 19.2

Can anyone help?

thanks!

Currently no login issues are reported by other users, please send me a kodi.log for review.

Edited by quickmic
Link to comment
Share on other sites

BaukeZwart
3 hours ago, quickmic said:

Currently no login issues are reported by other users, please send me a kodi.log for review.

I'm using the exact same setup as @effe.rnrno issues for me with connecting to IP.

Link to comment
Share on other sites

effe.rnr
6 hours ago, quickmic said:

Currently no login issues are reported by other users, please send me a kodi.log for review.

okay sorry, it was my fault. Used the wrong ip 🤦‍♂️

now it's working

Edited by effe.rnr
Link to comment
Share on other sites

quickmic
3 hours ago, beerthzn said:

Hi quickmic, since 6.1.3 (beta) the 4k icon with a 4k movie is gone.

 

server4K.jpg

emby4k no4k.jpg

On user request, th image enhancer is disabled by default in 6.1.3. Please check if it's enabled.

Link to comment
Share on other sites

beerthzn

I have the image enhancer enabled.  And after a local database reset everything is fine. Thanks 

  • Like 1
Link to comment
Share on other sites

djhifi

WRONG TOPIC, posting on the support one
 

Edited by djhifi
Link to comment
Share on other sites

  • 2 weeks later...
xe`

Trying to gauge how to move to this. I am refreshing all the kit and part of it is this addon. It is arguably the most important part so kudos.

Normally I would wait for stable but timings are such that I cannot and I am not going to be "that guy" and ask then it will be released.

So what would the correct methodology to run the beta this now but in a way that when stable is out I could move everyone to that.

My gut says install both the repo addons from https://kodi.emby.media/

 repository.beta.emby.kodi-1.0.9.zip 2019-10-15 01:35
 repository.emby.kodi-1.0.6.zip      2019-10-15 01:3

 

and then install `emby-next-gen` from the beta repo.

What I dont know is what to do when stable is tagged, how do you flip repos without breaking all current installs?

Link to comment
Share on other sites

DiscoDuck79
20 minutes ago, xe` said:

Trying to gauge how to move to this. I am refreshing all the kit and part of it is this addon. It is arguably the most important part so kudos.

Normally I would wait for stable but timings are such that I cannot and I am not going to be "that guy" and ask then it will be released.

So what would the correct methodology to run the beta this now but in a way that when stable is out I could move everyone to that.

My gut says install both the repo addons from https://kodi.emby.media/

 repository.beta.emby.kodi-1.0.9.zip 2019-10-15 01:35
 repository.emby.kodi-1.0.6.zip      2019-10-15 01:3

 

and then install `emby-next-gen` from the beta repo.

What I dont know is what to do when stable is tagged, how do you flip repos without breaking all current installs?

I would recommend to add http://kodi.emby.tv/ as a source. Then select the version you like from Public testing , if you experience issues with a new version it's easy to re-install the previous version. Latest stable should be in the first post of this thread. In my experience a complete DB reset often solves weird issues if you experience problems after an upgrade.

 

Link to comment
Share on other sites

xe`

Thanks for the reply I did not realise there were any stable tagged versions of emby-next-gen.

The opening post here list 5.3.3 but that is tagged as beta at source. In fact the only stable tag I can find is emby-next-gen 5.1.17 from March 2021.

I dont mind resetting databases for a fix but its a lot of work given that i use family profiles on each (slow) device it soon adds up to nights worth of effort.

Specifically though if I install 6.1.5 from the beta repo how do i move to whichever 6.x.x is next tagged stable which I assume will be in a the different stable kodi repo.

 

Edit: I just realised that you recommended manual install using http://kodi.emby.tv/ as a source. I can do this but I would prefer to install the repo then addon from there to benefit from updates, again because of the many systems in the home.

Edit 2: Delving into the stable repo it lists 5.3.2 which is tagged beta on github. All very confusing.

Edited by xe`
Link to comment
Share on other sites

DiscoDuck79
1 hour ago, xe` said:

Thanks for the reply I did not realise there were any stable tagged versions of emby-next-gen.

The opening post here list 5.3.3 but that is tagged as beta at source. In fact the only stable tag I can find is emby-next-gen 5.1.17 from March 2021.

I dont mind resetting databases for a fix but its a lot of work given that i use family profiles on each (slow) device it soon adds up to nights worth of effort.

Specifically though if I install 6.1.5 from the beta repo how do i move to whichever 6.x.x is next tagged stable which I assume will be in a the different stable kodi repo.

 

Edit: I just realised that you recommended manual install using http://kodi.emby.tv/ as a source. I can do this but I would prefer to install the repo then addon from there to benefit from updates, again because of the many systems in the home.

Edit 2: Delving into the stable repo it lists 5.3.2 which is tagged beta on github. All very confusing.

I think that all next-gen releases are considered Beta at this point.

I recommend pinging @quickmic regarding the profiles since it's been some issues with it in the past so he could probably recommend the easiest and most stable way for you to get going.

Do you use the same type of boxes around your house? I used to make a backup of one of my units and then transfer it to the other in the past when I used slower devices.

Link to comment
Share on other sites

xe`

A mixture of Allwinner and AmLogic devices centering around a master x86 virtual instance to compensate for the lack of grunt the SoCs have.

Part of my upgrade exercise will be to check if this will still works with the new addon and hammer out any kinks in the process.

I have some reasonable experience in this as I have been operating a system based around Kodi profiles and the old addon for years. It is not elegant but can be made to work.

As usual i would post about i should i get any success but with Kodi inherent poor profile support it will never be very good... but it is good enough and solves my prime problems opf parental control and centralised user separate watch status.

Link to comment
Share on other sites

tuumke

For some reason, the addon is just not working for me anymore?

I have update KODI, reinstalled addon, switched to beta, just won't work.

Attached the logs, looks like something is trying to setup a local server?

 

2021-11-05 13:05:42.150 T:4444    ERROR <general>: Exception in thread 
2021-11-05 13:05:42.150 T:4444    ERROR <general>: Thread-1
2021-11-05 13:05:42.150 T:4444    ERROR <general>: :
                                                   
2021-11-05 13:05:42.150 T:4444    ERROR <general>: Traceback (most recent call last):
                                                   
2021-11-05 13:05:42.150 T:4444    ERROR <general>:   File "C:\Program Files\Kodi\system\python\Lib\threading.py", line 932, in _bootstrap_inner
                                                   
2021-11-05 13:05:42.151 T:17968 WARNING <general>: WARNING: EMBY.entrypoint.Service: [ Start Emby-next-gen ]
2021-11-05 13:05:42.151 T:4444    ERROR <general>:     
2021-11-05 13:05:42.151 T:4444    ERROR <general>: self.run()
2021-11-05 13:05:42.151 T:4444    ERROR <general>: 
                                                   
2021-11-05 13:05:42.151 T:4444    ERROR <general>:   File "C:\Users\tijme\AppData\Roaming\Kodi\addons\plugin.video.emby-next-gen\hooks\webservice.py", line 41, in run
                                                   
2021-11-05 13:05:42.151 T:4444    ERROR <general>:     
2021-11-05 13:05:42.151 T:4444    ERROR <general>: self.socket.bind(('127.0.0.1', 57578))
2021-11-05 13:05:42.151 T:4444    ERROR <general>: 
                                                   
2021-11-05 13:05:42.151 T:4444    ERROR <general>: OSError
2021-11-05 13:05:42.151 T:4444    ERROR <general>: : 
2021-11-05 13:05:42.151 T:4444    ERROR <general>: [WinError 10013] An attempt was made to access a socket in a way forbidden by its access permissions
2021-11-05 13:05:42.151 T:4444    ERROR <general>: 
                                                  

 

-edit-

I tried to find anything running on pot 57578 but i couln't find it. Tried:

nestat -aon | findstr 57578

-edit2-

After reboot, it's working again? :-s so weird..

 

Edited by tuumke
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...